Bug 123522 - user defined "tcp" rpc service can't be registered
user defined "tcp" rpc service can't be registered
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: xinetd (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jay Fenlason
Brock Organ
Depends On:
Blocks: 113479
  Show dependency treegraph
Reported: 2004-05-18 20:17 EDT by Linda Lee
Modified: 2014-08-31 19:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-01 23:12:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
binary (16.37 KB, text/plain)
2004-05-18 20:21 EDT, Linda Lee
no flags Details

  None (edit)
Description Linda Lee 2004-05-18 20:17:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.2.1)

Description of problem:

RHAS 3 FCS is installed on intel platform.

Linux test1 2.4.21-4.ELsmp #1 SMP Fri Oct 3 17:52:56 EDT 2003 i686
i686 i386 GNU/Linux

Configured a rpc service in /etc/xinetd.d and don't see this rpc
rogram is registered.

# default: on
service toto_server
        disable = no
        type = RPC 
        socket_type = stream 
        wait = no
        protocol = tcp
        rpc_version = 1
        rpc_number = 100145
        user = root
        server = /etc/init.d/in.toto_server


May 18 16:32:37 test1 xinetd: xinetd startup succeeded
May 18 16:32:37 test1 xinetd[5761]: service:toto_server id:toto_server
is unique but its identical to service:sgi_fam id:sgi_fam - DISABLING
May 18 16:32:38 test1 xinetd[5761]: xinetd Version 2.3.12 started with
libwrap loadavg options compiled in.
May 18 16:32:38 test1 xinetd[5761]: Started working: 4 available services


toto_server     100145  

IF removed sgi_fam in /etc/xinetd.d, then my "tcp" rpc service can't
be registered and is ok.

If switch to "udp" instead of "tcp" for this rpc service, then it is
ok too.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. add toto_server config file in /etc/xinetd.d
2. cp in.toto_server to /etc/init.d/
3. add a line "toto_server     100145" to /etc/rpc.
4. service xinetd restart

Actual Results:  rpc service is not registered.

Expected Results:  rpc service should be registered after "service
xinetd restart" and rpcinfo should list it.

Additional info:
Comment 1 Linda Lee 2004-05-18 20:21:40 EDT
Created attachment 100315 [details]
Comment 2 Jay Fenlason 2004-05-19 11:55:48 EDT
I noticed this bug just the other day and sent a patch upstream to fix it.

I've built xinetd-2.3.12-6.3E and put rpms at
 Note that these rpms have not been through qa, so they're
unsupported.  However, my unit test (which creates two tcp rpc
services in addition to sgi_fam) works with them.  Please try them out
and let me know if they work for you.
Comment 3 Linda Lee 2004-05-19 15:30:07 EDT
After installed xinetd-2.3.12-6.3E rpm, my "tcp" rpc service can
co-exist with sgi_fam.  I also tested for the "udp" rpc service too
which worked fine.  Thanks!!!  Now my question is that when and how
you could deliver this fix.

Another problem (not introduced in this new rpm, it also exists in the
original rpm) I am running into is that after "pkill toto_server" and
invoked toto_client again, toto_client returned an error like "call
failed: RPC: Unable to receive; errno = Connection refused".
toto_server was not running. If do "service xinetd restart" again,
this problem goes away.  My colleague's linux box is running RHAS3.0
update 1 and for this same scenario, he got different error msg in
/var/log/messages like "pmap_set failed. service=toto_server
program=100145 version=1". In this case, need to shutdown the linux
box in order to pass the pmap_set failure problem.   Is it a bug or
normal behaviour?  Please let me know so I can file a bug for this. 
Comment 4 Bastien Nocera 2004-06-02 05:58:28 EDT
Adding this bug to the blocker candidates for RHEL 3 U3.
Comment 5 Linda Lee 2004-06-07 20:02:27 EDT
I hit another problem.  After the system rebooted, I don't see
toto_server rpc program got registered through "rpcinfo" command. But
the toto_server is turned on from the output of "chkconfig --list".
So, the client request fails (RPC: Program not registered
).  There is no error message in /var/log/messages.
If I do "service xinetd restart" after system rebooted, the
toto_server rpc program is registered.
Comment 6 Linda Lee 2004-06-07 20:42:36 EDT
Please ignore my previous comments.  That is my error.
Comment 8 Jay Turner 2004-09-01 23:12:59 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.